Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005GoalRecognizer::Goalpost Struct Reference

Collaboration diagram for GT2005GoalRecognizer::Goalpost:

[legend]
List of all members.

## Public Member Functions
| Goalpost ()
| Constructs an empty goalpost hypothesis.
## Public Attributes
Vector2< int > | topPoint
| Top endpoints of the goalposts.
Vector2< double > | topPointH
bool | topPointInImage
Vector2< int > | bottomPoint
| Bottom endpoints of the goalpost.
Vector2< double > | bottomPointH
bool | onGreen
| Goalpost is standing on the green field.
int | height
| Height and height not conting the image border.
int | visibleHeight
Vector2< int > | edgePoint
| A point aligned with the edge of the goalpost.
Vector2< double > | edgePointH
int | strongEdgeCount
| Number of strong and weak edge points detected.
int | weakEdgeCount
bool | nonExistant
| Scans towards the edge detected unbound goal-coloured areas.
Vector3< int > | color
| Average colour of some pixels near the goalpost.

## Constructor & Destructor Documentation

GT2005GoalRecognizer::Goalpost::Goalpost | ( |  | ) | `[inline]`

| Constructs an empty goalpost hypothesis. Definition at line 443 of file GT2005GoalRecognizer.h.

## Member Data Documentation

Vector2<int> GT2005GoalRecognizer::Goalpost::topPoint

| Top endpoints of the goalposts. Might not be aligned with the edge horizontally. Definition at line 447 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoal(), GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::publishResults().

Vector2<double> GT2005GoalRecognizer::Goalpost::topPointH

| Definition at line 448 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoal(), GT2005GoalRecognizer::analyzeGoalpost(), GT2005GoalRecognizer::interpretResults(), and GT2005GoalRecognizer::publishResults().

bool GT2005GoalRecognizer::Goalpost::topPointInImage

| Definition at line 449 of file GT2005GoalRecognizer.h.

Vector2<int> GT2005GoalRecognizer::Goalpost::bottomPoint

| Bottom endpoints of the goalpost. Might not be aligned with the edge horizontally. Definition at line 453 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::publishResults().

Vector2<double> GT2005GoalRecognizer::Goalpost::bottomPointH

| Definition at line 454 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoal(), GT2005GoalRecognizer::analyzeGoalpost(), GT2005GoalRecognizer::detectFreePartOfGoal(), GT2005GoalRecognizer::interpretResults(), and GT2005GoalRecognizer::publishResults().

bool GT2005GoalRecognizer::Goalpost::onGreen

| Goalpost is standing on the green field. Definition at line 457 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoal(), and GT2005GoalRecognizer::analyzeGoalpost().

int GT2005GoalRecognizer::Goalpost::height

| Height and height not conting the image border. Definition at line 460 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoal(), GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::detectFreePartOfGoal().

int GT2005GoalRecognizer::Goalpost::visibleHeight

| Definition at line 461 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::detectFreePartOfGoal().

Vector2<int> GT2005GoalRecognizer::Goalpost::edgePoint

| A point aligned with the edge of the goalpost. Definition at line 464 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoal(), GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::publishResults().

Vector2<double> GT2005GoalRecognizer::Goalpost::edgePointH

| Definition at line 465 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoal(), GT2005GoalRecognizer::analyzeGoalpost(), GT2005GoalRecognizer::detectFreePartOfGoal(), GT2005GoalRecognizer::interpretResults(), and GT2005GoalRecognizer::publishResults().

int GT2005GoalRecognizer::Goalpost::strongEdgeCount

| Number of strong and weak edge points detected. Definition at line 468 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoalpost().

int GT2005GoalRecognizer::Goalpost::weakEdgeCount

| Definition at line 469 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoalpost().

bool GT2005GoalRecognizer::Goalpost::nonExistant

| Scans towards the edge detected unbound goal-coloured areas. This often happens when the goal is detected again after the scan along the cross bar failed. If this value is set to true, all other values are invalid. Definition at line 477 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::interpretResults().

Vector3<int> GT2005GoalRecognizer::Goalpost::color

| Average colour of some pixels near the goalpost. This value is used to detect the free part of goal (is done in the interpretation after the entire image was scanned) or straightnes checks. Definition at line 482 of file GT2005GoalRecognizer.h. Referenced by GT2005GoalRecognizer::analyzeGoalpost(), and GT2005GoalRecognizer::detectFreePartOfGoal().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005GoalRecognizer.h